;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; PROJECT: Carnegie Mellon Planetary Rover Project
;;;          Task Control Architecture 
;;; 
;;; MODULE: tca - lisp
;;;
;;; FILE: a3.lisp
;;;
;;; ABSTRACT:
;;; 
;;;  Task Control Architecture
;;;
;;; $Revision: 1.2 $
;;; $Date: 1993/06/13 23:25:33 $
;;; $Author: rich $
;;;
;;; REVISION HISTORY
;;;
;;;  $Log: a3.lisp,v $
;;; Revision 1.2  1993/06/13  23:25:33  rich
;;; Added comments at the front of each file.
;;; Fixed prefix for log entries.
;;; Made changes needed for vx works style global variables.
;;;

(defun c_floatHnd (ref deg)
  (format t "Float value ~F ~%" deg)
  (tca:tcaSuccess ref)
  )

(defun c_doubleHnd (ref deg)
  (format t "Double Value ~D ~%" deg)
  (tca:tcaSuccess ref)
  )


(defun a3 (&optional (server (tca::tcaServerMachine)))
  (format T "Connect ...~%")
  (tca::tcaConnectModule "Module A" server)

  ;; Need to re-register those messages that are defined using 
  ;;  explicit "length" formats in C
  (tca:tcaRegisterCommandMessage "C_float" "float")
  (tca:tcaRegisterHandler "C_float" "c_floatHnd" 'c_floatHnd);

  (tca:tcaRegisterCommandMessage "C_double" "double")
  (tca:tcaRegisterHandler "C_double" "c_doubleHnd" 'c_doubleHnd);

  (tca::tcaWaitUntilReady)

  (format T "Handling Message ...~%")

  (tca::tcaHandleMessage tca::*WAITFOREVER*)
  (tca::tcaHandleMessage tca::*WAITFOREVER*)
  
  (format T "Handled Message ...~%")
  (format T "Sleep 30~%")
  
  (sleep 30)
  
  (format T "Exiting~%")
  (tca::tcaClose)
  )
