;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; PROJECT: Carnegie Mellon Planetary Rover Project
;;;          Task Control Architecture 
;;; 
;;; MODULE: tca - lisp
;;;
;;; FILE: b2.lisp
;;;
;;; ABSTRACT:
;;; 
;;;  Task Control Architecture
;;;
;;; $Revision: 1.2 $
;;; $Date: 1993/06/13 23:25:41 $
;;; $Author: rich $
;;;
;;; REVISION HISTORY
;;;
;;;  $Log: b2.lisp,v $
;;; Revision 1.2  1993/06/13  23:25:41  rich
;;; Added comments at the front of each file.
;;; Fixed prefix for log entries.
;;; Made changes needed for vx works style global variables.
;;;

(defun NullReplyHnd (ref data)
  (format t "NullReplyHnd: start~%")

  (format t "data: ~a~%" data)

  (tca::tcaNullReply ref)

  (format t "NullReplyHnd: done.~%"))

(defun ReplyHnd (ref data)
  (let ((reply 42))
    (format t "ReplyHnd: start~%")

    (format t "data: ~a~%" data)

    (tca::tcaReply ref reply)

    (format t "ReplyHnd: done.~%")))

(defun QCHnd (ref data)
  (let ((reply 42))
    (format t "QCHnd: start~%")

    (format t "data: ~a~%" data)

    (tca::tcaExecuteCommand "WhileWaitingCommand" data)

    (format t "press return~%")
    (read-char)
    
    (tca::tcaReply ref reply)

    (format t "QCHnd: done.~%")))

(defun b2 (&optional (server (tca::tcaServerMachine)))
  (format t "Connect ...~%")

  (tca::tcaConnectModule "Module B2" server)

  (tca::tcaRegisterMessage "NullReplyMsg" tca::QueryClass "int" "int")
  (tca::tcaRegisterHandler "NullReplyMsg" "NullReplyHnd" 'NullReplyHnd)

  (tca::tcaRegisterMessage "ReplyMsg" tca::QueryClass "int" "int")
  (tca::tcaRegisterHandler "ReplyMsg" "ReplyHnd" 'ReplyHnd)

  (tca::tcaRegisterMessage "QCMsg" tca::QueryClass "int" "int")
  (tca::tcaRegisterHandler "QCMsg" "QCHnd" 'QCHnd)  

  (tca::tcaWaitUntilReady)

  (tca::tcaModuleListen))

  
