;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; PROJECT: Carnegie Mellon Planetary Rover Project
;;;          Task Control Architecture 
;;; 
;;; MODULE: tca - lisp
;;;
;;; FILE: b3.lisp
;;;
;;; ABSTRACT:
;;; 
;;;  Task Control Architecture
;;;
;;; $Revision: 1.2 $
;;; $Date: 1993/06/13 23:25:43 $
;;; $Author: rich $
;;;
;;; REVISION HISTORY
;;;
;;;  $Log: b3.lisp,v $
;;; Revision 1.2  1993/06/13  23:25:43  rich
;;; Added comments at the front of each file.
;;; Fixed prefix for log entries.
;;; Made changes needed for vx works style global variables.
;;;

(defun b3 (&optional (server (tca::tcaServerMachine)))
  (let ((deg 90.0))
    (format T "Connect ...~%")
    (tca:tcaConnectModule "Module B" server)
    
    (tca:tcaWaitUntilReady)

    (format T "Sending Command ...~%")
    
    (tca:tcaExecuteCommandWithConstraints nil "C_double" 
					  (coerce deg 'DOUBLE-FLOAT)  
					  TCA:NO_TPLCONSTR)
    (format T "Sent command double~%")
    (format T "Sleep 5~%")

    (sleep 5)

    (tca:tcaExecuteCommandWithConstraints nil "C_float" 
					  (coerce deg 'SINGLE-FLOAT)  
					  TCA:NO_TPLCONSTR)
    (format T "Sent command float ~%")
    (format T "Sleep 30~%")

    (sleep 30)
    
    (format T "Exiting~%")
    (tca::tcaClose)))
