;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; PROJECT: Carnegie Mellon Planetary Rover Project
;;;          Task Control Architecture 
;;; 
;;; MODULE: tca - lisp
;;;
;;; FILE: listener.lisp
;;;
;;; ABSTRACT:
;;; 
;;;  Task Control Architecture: Test listener for lisp.
;;;
;;; $Revision: 1.1 $
;;; $Date: 1995/08/08 05:42:49 $
;;; $Author: rich $
;;;
;;; REVISION HISTORY
;;;
;;;  $Log: listener.lisp,v $
;;; Revision 1.1  1995/08/08  05:42:49  rich
;;; Fixed broadcast message interface in lisp.  Added test routines
;;; broadcast.lisp and listener.lisp.
;;;
;;; 

(defun NullHnd (Ref x)
  )

(defun Float4Hnd (Ref x)
  )

(defun Float64Hnd (Ref x)
  )

(defun Float256Hnd (Ref x)
  )

(defun Float1kHnd (Ref x)
  )

(defun Float4kHnd (Ref x)
  )

(defun Float16kHnd (Ref x)
  )

(defun Float64kHnd (Ref x)
  )

(defun Float256kHnd (Ref x)
  )

(defun listener (&optional (server (tca::tcaServerMachine)))
  (when server
    (format T "Connect ...~%")
    (tca:tcaConnectModule "Listener" server)
    
    (tca:tcaRegisterBroadcastMessage "NullMsg" NIL)
    (tca:tcaRegisterHandler "NullMsg" "NullHnd" 'NullHnd)
    
    (tca:tcaRegisterBroadcastMessage "Float4Msg" "[float:4]")
    (tca:tcaRegisterHandler "Float4Msg" "Float4Hnd" 'Float4Hnd)
    
    (tca:tcaRegisterBroadcastMessage "Float64Msg" "[float:64]")
    (tca:tcaRegisterHandler "Float64Msg" "Float64Hnd" 'Float64Hnd)
    
    (tca:tcaRegisterBroadcastMessage "Float256Msg" "[float:256]")
    (tca:tcaRegisterHandler "Float256Msg" "Float256Hnd" 'Float256Hnd)
    
    (tca:tcaRegisterBroadcastMessage "Float1kMsg" "[float:1024]")
    (tca:tcaRegisterHandler "Float1kMsg" "Float1kHnd" 'Float1kHnd)
    
    (tca:tcaRegisterBroadcastMessage "Float4kMsg" "[float:4096]")
    (tca:tcaRegisterHandler "Float4kMsg" "Float4kHnd" 'Float4kHnd)
    
    (tca:tcaRegisterBroadcastMessage "Float16kMsg" "[float:16384]")
    (tca:tcaRegisterHandler "Float16kMsg" "Float16kHnd" 'Float16kHnd)
    
    (tca:tcaRegisterBroadcastMessage "Float64kMsg" "[float:65536]")
    (tca:tcaRegisterHandler "Float64kMsg" "Float64kHnd" 'Float64kHnd)
    
    (tca:tcaRegisterBroadcastMessage "Float256kMsg" "[float:262144]")
    (tca:tcaRegisterHandler "Float64kMsg" "Float256kHnd" 'Float256kHnd)
    
    (tca::tcaWaitUntilReady)
    
    (tca:tcaModuleListen)
    )
  )
