/*****************************************************************************
 * PROJECT: Xavier
 *
 * (c) Copyright 1993 Richard Goodwin & Joseph O'Sullivan. All rights reserved.
 *
 * FILE: nanny.h
 *
 * ABSTRACT:
 *
 * $Source: /afs/cs.cmu.edu/project/TCA/Master/tcaV8/tools/nanny/nanny.h,v $
 * $Revision: 1.1 $
 * $Date: 1995/12/17 20:25:44 $
 * $Author: rich $
 *
 * REVISION HISTORY:
 *
 * $Log: nanny.h,v $
 * Revision 1.1  1995/12/17  20:25:44  rich
 * Moved Nanny to the tca release.
 *
 * Revision 1.6  1995/07/15  22:40:51  josullvn
 * Had deleted the line which announce new processes by mistake
 *
 * Revision 1.5  1995/07/15  07:13:11  josullvn
 * ProcessDevices is _not_ reentrant - this was causing lots of problems as it
 * turns out. Restructing my blocking code fixed it.
 * Also, added a notion of dead - that is telling when something has
 * finally died.
 *
 * Revision 1.4  1995/07/13  17:04:34  josullvn
 * Added version info
 *
 * Revision 1.3  1995/07/11  22:59:16  josullvn
 * Needed to retain the concept of who sent a message, and so had to
 * restructure all the message passing. Also, made sure we don't
 * overwrite any of the parameters due to reentry problems.
 *
 * Revision 1.2  1995/07/11  11:21:34  josullvn
 * A lot more changes to message passing to handle multiple nannys better.
 * This basically involved removing fdclient, and being smarter about what
 * nannys are in the system
 *
 * Revision 1.1  1995/05/15  17:16:48  rich
 * Added nanny.h and moved external declarations to the .h files.
 *
 *
 *****************************************************************************/

#ifndef NANNY_H_INCLUDED
#define NANNY_H_INCLUDED

extern char *rcFileName;

#define NANNY_VERSION_MAJOR 1
#define NANNY_VERSION_MINOR 0
#define NANNY_VERSION_MICRO 3
#define VERSION_DATE "Jul-15-95"
#define COMMIT_DATE "$Date: 1995/12/17 20:25:44 $"

#endif
