
/*
 * File: parser.h
 * Author: Domingo Gallardo, CMU
 * Purpose: Parser of log messages. Translates messages to
 *          a structure named MsgData, which contains all the 
 *          message's data.
 * 
 *
 * REVISION HISTORY
 *
 * $Log: Parser.h,v $
 * Revision 1.3  1995/12/15  01:25:57  rich
 * Fixed the includes.
 *
 * Revision 1.2  1995/04/07  05:07:02  rich
 * Fixed GNUmakefiles to find the release directory.
 * Fixed problems found by sgi cc compiler.  It would not compile.
 *
 * Revision 1.1  1995/04/05  18:31:21  rich
 * Moved tview files to a subdirectory.
 *
 * Revision 1.1  1994/05/31  03:26:24  rich
 * Moved Domingo's tview tool into the main tca module.
 *
 * Revision 1.3  1994/05/27  05:33:25  rich
 * Can now read from file that is being written to.
 * Fixed Menu and button names.
 * Fixed Indentation.
 * Added menu item to change orientation of the tree.
 *
 * Revision 1.2  1993/08/13  01:43:10  domingo
 * Updated function declarations for compilation under gcc in ANSI C (still
 * a lot of warnings to fix).
 * Added automatic logging.
 *
 *
 * Dec 28 1992 - Domingo Gallardo at School of Computer Science, CMU
 * Split the file into the public part (this one)
 * and the private part (parserP.h)
 *
 * Dec 25 1992 - Domingo Gallardo at School of Computer Science, CMU
 * Created.
 *
 */

#ifndef _PARSER_H
#define _PARSER_H

#include <X11/Intrinsic.h>

extern BOOLEAN _process_info_msg;

typedef struct _msgStatusRec {
  String      string;
  msgStatus   type;
} _msgStatusRec, *MsgStatusRec;


typedef struct _msgTypeRec {
  String      string;
  msgType     type;
} _msgTypeRec, *MsgTypeRec;


typedef struct _msgKillSituationRec {
  String       string;
  killSituation type;
} _msgKillSituationRec, *MsgKillSituationRec;


typedef struct _strMessage {
  String message;
  String str;
} _strMessage, *StrMessage;


typedef struct _msgTCRec {
  String string;
  int type;
} _msgTCRec, *MsgTCRec;


MsgData ParseMsg(String str);


#endif
