/*
 * File: Handler.h
 * Author: Reid Simmons, CMU
 * Purpose: tview X callbacks header file
 *
 * REVISION HISTORY
 *
 * $Log: Handler.h,v $
 * Revision 1.1  1995/04/05  18:31:57  rich
 * Moved tview files to a subdirectory.
 *
 */

#ifndef _HANDLER_H
#define _HANDLER_H

#include <X11/Intrinsic.h>

void Quit(Widget w, XtPointer client_data, XtPointer call_data);
void LoadFile(Widget w, XtPointer client_data, XtPointer call_data);
void layoutToggle(Widget w, XtPointer client_data, XtPointer call_data);
void AutoRefreshToggle(Widget w, XtPointer client_data, XtPointer call_data);
void EraseQueriesToggle(Widget w, XtPointer client_data, XtPointer call_data);
void DisplayInformsToggle(Widget w, XtPointer client_data, 
			  XtPointer call_data);
void AutoCenterToggle(Widget w, XtPointer client_data, XtPointer call_data);
void CenterInTask(Widget w, XtPointer client_data, XtPointer call_data);
void Restart(Widget w, XtPointer call_data, XtPointer client_data);
void PauseWhen(Widget w, XtPointer client_data, XtPointer call_data);
void PauseContinue(Widget w, XtPointer client_data, XtPointer call_data);
void PushInMessage(char *message);
void PortholeCallback(Widget w, XtPointer panner_ptr, XtPointer report_ptr);
void PannerCallback(Widget  w, XtPointer client_data, XtPointer report_ptr);
void Step(Widget widget, XtPointer client_data, XtPointer call_data);
void MessageMove(Widget widget, XtPointer client_data, XtPointer call_data);
void ProcessCondition(String condition);

#endif /* _HANDLER_H */
