/*
 * File: tview.h
 * Author: Domingo Gallardo, CMU
 * Purpose: Header file for the application
 *
 * REVISION HISTORY
 *
 * $Log: tview.h,v $
 * Revision 1.1  1995/04/05  18:32:43  rich
 * Moved tview files to a subdirectory.
 *
 * Revision 1.2  1995/01/25  00:04:45  rich
 * Release of tca 7.9.  Mostly speed improvements.
 * The cvs binaries may now be located in /usr/local.
 * Formatting changes.
 *
 * Revision 1.1  1994/05/31  03:26:44  rich
 * Moved Domingo's tview tool into the main tca module.
 *
 * Revision 1.5  1994/05/27  05:33:37  rich
 * Can now read from file that is being written to.
 * Fixed Menu and button names.
 * Fixed Indentation.
 * Added menu item to change orientation of the tree.
 *
 * Revision 1.4  1993/09/13  04:14:29  domingo
 *  Added two set of options to the tree menu:
 *
 *  - Erase queries (on/off) : activate/deactivate the deletion of queries
 *       from the task tree. Erase queries by default.
 *
 *  - Display constraints (on/off) : activate/deactivate the display of
 *       constraints messages. No display by default.
 *
 * Revision 1.3  1993/09/07  00:26:56  domingo
 * Deleted files Reports.h Tree.h TreeP.h (they are not part of the
 * program)
 * Almost fixed all the warnings
 *
 * Revision 1.2  1993/08/13  01:43:21  domingo
 * Updated function declarations for compilation under gcc in ANSI C (still
 * a lot of warnings to fix).
 * Added automatic logging.
 *
 *
 * Jan 11 1993 - Domingo Gallardo at School of Computer Science, CMU
 * Created.
 *
 */

#ifndef _TVIEW_H
#define _TVIEW_H

#include <X11/Intrinsic.h>

extern XtAppContext  app_con;

#endif
